FORUMS
Remove All Ads from XDA

[Guide] Installing Google Play Service on Non-Rooted Firestick 2

13 posts
Thanks Meter: 2
 
By allusernamestaken, Junior Member on 13th September 2017, 05:49 AM
Post Reply Email Thread
Here is how to fix an error similar to this: App "Won't run without google play services which are not supported by your device" on Firestick 2.

There was an older thread here: https://forum.xda-developers.com/fir...ooted-t3574088 that updated info from here http://www.aftvnews.com/how-to-insta...-without-root/ but both are outdated at least for the apps I am using. Also, they did not list the source for their working version for when the tutorial gets dated.

Only two steps are required.

For now, https://www.apkmirror.com/ has the most up to date version and seems to update daily. You can use a sideloaded Google Browser or the AFTV browser in the Downloader App (enable JavaScript in settings) that is provided in the Amazon Firestick Store.

1. Go to source website (they do not have an app) and search Google Play Store for ANDROID TV. Ensure you download the version that explicitly states (Android TV) in the title. The ones that were not titled did not work even though the description said for Android TV.

2. On the same website search and download Google Play Services for Android TV

That is it. No need to download anything else, no need to log in, or even click the apps you downloaded. Since the website does not have an app, it won't auto update but hopefully, your apps do not require a constantly updated store.
The Following User Says Thank You to allusernamestaken For This Useful Post: [ View ] Gift allusernamestaken Ad-Free
 
 
14th September 2017, 02:01 PM |#2  
Member
Thanks Meter: 14
 
More
I did this and the play store never loads. Advice?
14th September 2017, 08:21 PM |#3  
OP Junior Member
Thanks Meter: 2
 
More
Quote:
Originally Posted by total7kaos

I did this and the play store never loads. Advice?

The play store does not need to load. This guide is not for getting a functioning play store but to allow apps that require Google Play Services to function.
15th September 2017, 10:14 PM |#4  
velayo's Avatar
Senior Member
Flag Santa Isabel, Puerto Rico
Thanks Meter: 90
 
More
Thank you, bro. Last time I downloaded 4 files including a PlayStore, this is excellent.
15th September 2017, 10:32 PM |#5  
OP Junior Member
Thanks Meter: 2
 
More
Quote:
Originally Posted by velayo

Thank you, bro. Last time I downloaded 4 files including a PlayStore, this is excellent.

You are welcome. I know, it was much simpler than the older tutorials made it out to be. Also by listing the source, hopefully, this tutorial can be relevant for a very long time.
The Following User Says Thank You to allusernamestaken For This Useful Post: [ View ] Gift allusernamestaken Ad-Free
15th October 2017, 07:52 AM |#6  
Junior Member
Thanks Meter: 0
 
More
What do you mean source web site?
Nm I got it thanks bunches
15th October 2017, 05:32 PM |#7  
Junior Member
Thanks Meter: 0
 
More
You rock, thank you!

Just to clarify as I got a bit confused at the beginning.

1. From APK mirror download 2 APKS with these names in the title, get the latest version.
-1. Google Play Store (Android TV)
apkmirror.com/apk/google-inc/google-play-store-android-tv
- 2. Google Play services (Android TV)
apkmirror.com/apk/google-inc/google-play-services-android-tv
2. They can be downloaded from the device via a browser (enable java)) or side loaded.
3. Once you have them on the device, install them but no need to launch them. I installed 1 and then 2.
4. Launch your app that threw the error before and now it should work.
15th October 2017, 08:54 PM |#8  
OP Junior Member
Thanks Meter: 2
 
More
Quote:
Originally Posted by melonboy666

You rock, thank you!

Just to clarify as I got a bit confused at the beginning.

1. From APK mirror download 2 APKS with these names in the title, get the latest version.
-1. Google Play Store (Android TV)
apkmirror.com/apk/google-inc/google-play-store-android-tv
- 2. Google Play services (Android TV)
apkmirror.com/apk/google-inc/google-play-services-android-tv
2. They can be downloaded from the device via a browser (enable java)) or side loaded.
3. Once you have them on the device, install them but no need to launch them. I installed 1 and then 2.
4. Launch your app that threw the error before and now it should work.

Yes, that is all I did and it worked.

Side note. I personally use the https://apkpure.com/ because it has an actual app store. I could not find the correct version on there but once I used the APK mirror one, the Pure store was able to find and update it and it worked. Maybe it was a one time deal but thought I would mention it. That might make it easier than continuing to use a browser. However, apps don't seem to require the newest version of Play, so no big deal either way.
18th November 2017, 03:12 AM |#9  
Junior Member
Thanks Meter: 0
 
More
Didn't work for me :(
Did not work for me. Any chance to confirm the working versions?

I'm on:
Fire TV Gen2 / Fire OS 5.2.6.0 (FireTV Home version 6.0.0.0-264)

I used-

Google Play Store (Android TV) v. 8.0.2.8 ( 8.0.28.R-xhdpi (8) (PR) 163004339)
Google Play Services (Android TV) 11.7.46 (836-175121617) (11746836)
^^- There were newer versions, but the new versions were all betas and I didn't want to fool with that.

I get same errors as the OP- "App "Won't run without google play services which are not supported by your device"

For what it's worth I'm trying to use my (paid for) version of realMyst.


Any help? Thanks!
18th November 2017, 10:07 AM |#10  
OP Junior Member
Thanks Meter: 2
 
More
Quote:
Originally Posted by Racer_X_

Did not work for me. Any chance to confirm the working versions?

I'm on:
Fire TV Gen2 / Fire OS 5.2.6.0 (FireTV Home version 6.0.0.0-264)

I used-

Google Play Store (Android TV) v. 8.0.2.8 ( 8.0.28.R-xhdpi (8) (PR) 163004339)
Google Play Services (Android TV) 11.7.46 (836-175121617) (11746836)
^^- There were newer versions, but the new versions were all betas and I didn't want to fool with that.

I get same errors as the OP- "App "Won't run without google play services which are not supported by your device"

For what it's worth I'm trying to use my (paid for) version of realMyst.


Any help? Thanks!

Hmm, even if it is an older version, it should give you an “update error” not a “not supported error”

My apkpure app has updated the Google Play Store but not the Services.

Currently my Google Play Services is 11.5.09 (836-164803921) Try this first.

and my store which just updated now is 8.3.75.U-all [0] [FP] 173942022

This is what is working for me right now. Let me know if that works.
18th November 2017, 06:55 PM |#11  
Junior Member
Thanks Meter: 0
 
More
Quote:
Originally Posted by allusernamestaken

Hmm, even if it is an older version, it should give you an “update error” not a “not supported error”

My apkpure app has updated the Google Play Store but not the Services.

Currently my Google Play Services is 11.5.09 (836-164803921) Try this first.

and my store which just updated now is 8.3.75.U-all [0] [FP] 173942022

This is what is working for me right now. Let me know if that works.

Hey, thanks for the quick reply... and for your help, generally. So- some slight progress, I guess.....

The app starts to load, but now I get the error- "This app requires the latest version of the Google Play Games app." with the option to cancel or install. Install leads to the error- This version of the app isn't compatible with your device. To fix this problem, go to Settings and uninstall updates for the Google Play Store app."

I guess I could try installing that next. I see there are (Android TV) versions of that app. Any suggestions which one(s) might be confirmed working for my OS?

Also- Is there not some way to modify an app so that it plays but doesn't need to reach out to google play? But that method probably wouldn't be the same method for all apps then (so not useful to try and figure out b/c limited use). These google apps eat up a lot of space on the very limited Amazon internal storage. Haven't tried to move them to external yet.

Also also- How did you get brakets ( ][) in your post? The site won't let me put them in, saying bbcode is forbidden.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes